package it.unibas.visualpinco.controllo;

import it.unibas.ping.azioni.AzionePing;
import it.unibas.ping.framework.Applicazione;
import it.unibas.visualpinco.modello.Azione;
import it.unibas.visualpinco.modello.Esito;
import it.unibas.visualpinco.modello.Progetto;
import javax.swing.JOptionPane;

public class AzioneEliminaEsito implements AzionePing{
    
    public AzioneEliminaEsito()  {
    }
    public void esegui(java.util.EventObject evento){
        Progetto progetto = (Progetto)Applicazione.getModello().getBean("progetto");
        int indice = Applicazione.getVistaPrincipale().getIndiceSelezione("tabellaProgetto");

        Azione azione = progetto.azioneDaIndice(indice);
        String sEsito = progetto.esitoDaIndice(indice);
        Esito esito = azione.getEsito(sEsito);
        
        String messaggio = "Sei sicuro di voler eliminare l'esito " + esito.getNome() + " associata\nall'azione " + azione.getNome() + "?";
        if(JOptionPane.showConfirmDialog(Applicazione.getVistaPrincipale(),messaggio,"Conferma eliminazione",JOptionPane.YES_NO_OPTION)==JOptionPane.YES_OPTION){
            azione.removeEsito(esito.getNome());
        }
    }
}
