package it.unibas.visualpinco.controllo;

import it.unibas.ping.azioni.AzionePing;
import it.unibas.ping.framework.Applicazione;
import it.unibas.visualpinco.modello.*;

public class AzioneNuovoEsito implements AzionePing{
    
    public AzioneNuovoEsito() {
    }
    
    public void esegui(java.util.EventObject evento){
        Progetto progetto = (Progetto)Applicazione.getModello().getBean("progetto");
        int indice = Applicazione.getVistaPrincipale().getIndiceSelezione("tabellaProgetto");

        Azione azione = progetto.azioneDaIndice(indice);
        if(azione==null){
            return;
        }
        
        Esito esito = new Esito();
        Schermo schermo = new Schermo();
        Applicazione.getModello().putBean("azioneModificare", azione);
        Applicazione.getModello().putBean("esitoModificare", esito);
        Applicazione.getModello().putBean("schermoModificare", schermo);
        Applicazione.getModello().putBean("esitoNuovo", new Boolean(true));
        Applicazione.getVistaPrincipale().eseguiSchermo("schermoNuovoEsito");
    }
}
