package it.unibas.visualpinco.controllo;

import it.unibas.ping.azioni.AzionePing;
import it.unibas.ping.framework.Applicazione;
import it.unibas.visualpinco.modello.*;

public class AzioneSalvaEsito implements AzionePing{
    
    public AzioneSalvaEsito() {
    }
    public void esegui(java.util.EventObject evento){
        Progetto progetto = (Progetto)Applicazione.getModello().getBean("progetto");
        String nomeEsito = (String)(Applicazione.getVistaPrincipale().trovaValore("txtEsito"));
        String nomeSchermo = (String)(Applicazione.getVistaPrincipale().trovaValore("txtSchermo"));
        Azione azione = (Azione)Applicazione.getModello().getBean("azioneModificare");
        Esito esito = (Esito)Applicazione.getModello().getBean("esitoModificare");
        Schermo schermo = esito.getSchermo();
        boolean esitoNuovo = ((Boolean)Applicazione.getModello().getBean("esitoNuovo")).booleanValue();
 
        String errori = "";
        if(nomeEsito==null||nomeEsito.equals("")){
            errori += "Devi specificare il nome dell'esito\n";
        }
        if(nomeSchermo==null||nomeSchermo.equals("")){
            errori += "Devi specificare il nome dell'esito\n";
        }
        if(esitoNuovo && azione.getEsito(nomeEsito)!=null){
            errori += "L'esito specificato esiste gi\n";
        }
        if(!esitoNuovo && !(nomeEsito.equals(esito.getNome())) && azione.getEsito(nomeEsito)!=null){
            errori += "L'esito specificato esiste gi\n";
        }
        if(!nomeSchermo.endsWith(".jsp")){
            errori += "Lo schermo deve terminare con .jsp\n";
        }

        if(errori.equals("")){
            //SALVA
            if(!nomeSchermo.startsWith("/")){
                nomeSchermo = "/" + nomeSchermo;
            }
            if(esitoNuovo){
                esito = new Esito();
                schermo = new Schermo();
                esito.setNome(nomeEsito);
                schermo.setNome(nomeSchermo);
                esito.setSchermo(schermo);
                azione.addEsito(esito);
            }else{
                esito.setNome(nomeEsito);
                schermo.setNome(nomeSchermo);
            }
            Applicazione.getVistaPrincipale().eseguiSchermo("chiudiFinestraEsito");
        }else{
            Applicazione.getVistaPrincipale().finestraErrore(errori);
        }
    }
}
