package it.unibas.visualpinco.modello;

import it.unibas.ping.eventi.Osservabile;

public class Esito extends Osservabile{
    
    private String nome = "";
    private Schermo schermo;
    
    public Esito() {
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public Schermo getSchermo() {
        return schermo;
    }

    public void setSchermo(Schermo schermo) {
        this.schermo = schermo;
    }
    
    public String toString(){
        if (schermo!=null){
            return "Esito: " + nome + " - Schermo: " + schermo.toString() + "\n";
        }
        return "Esito: " + nome;
    }
    
}
