package it.unibas.visualpinco.vista;

import it.unibas.ping.componenti.ModelloTabellaPing;
import it.unibas.visualpinco.modello.Progetto;


public class ModelloTabella extends ModelloTabellaPing{
    
    private Progetto progetto;
    
    public ModelloTabella(Progetto progetto){
        super("progetto","azioni");
        this.progetto = progetto;
    }

    public int getRowCount(){
        return progetto.toTable().size();
    }
    public int getColumnCount(){
        return 4;
    }

    public String getColumnName(int i) {
        if (i == 0) {
            return "Comando";
        } else if (i == 1) {
            return "Azione";
        } else if (i == 2) {
            return "Esito";
        } else if (i == 3) {
            return "Schermo";
        }   
        return null;
    }
    public Object getValueAt(int row, int column){
        java.util.List listaTabella = progetto.toTable();
        String[] riga = (String[])listaTabella.get(row);
        return riga[column];
    }    
}
