package it.unibas.visualpinco.test.persistenza;

import it.unibas.visualpinco.modello.Progetto;
import it.unibas.visualpinco.persistenza.DAOException;
import junit.framework.*;
import it.unibas.visualpinco.persistenza.DAOAzione;
import java.io.File;

public class TestDAOAzione extends TestCase {
    
    public TestDAOAzione(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
    }

    protected void tearDown() throws Exception {
    }

    public void testCreaAzione(){
        Progetto p = new Progetto();
        p.setCartellaProgetto("C:\\prova");
        if(!p.inizializza()){
            Assert.fail("Impossibile trovare il file pinco-config.xml nella cartella di progetto specificata");
            return;
        }
        try{
            DAOAzione.creaAzione("AzioneNuova", p.getCartellaSrc(),"Azione","it.unibas.prova.azione");
            File f = new File("C:\\prova\\src\\AzioneNuova.java");
            f.delete();
        }catch(DAOException daoe){
            Assert.fail("Eccezione. " + daoe.toString());
        }
    }
}
