package it.unibas.visualpinco.controllo;

import it.unibas.ping.azioni.AzionePing;
import it.unibas.ping.framework.Applicazione;
import it.unibas.visualpinco.modello.Azione;
import it.unibas.visualpinco.modello.Comando;
import it.unibas.visualpinco.modello.Progetto;
import javax.swing.JOptionPane;

public class AzioneEliminaAzione implements AzionePing{
    
    public AzioneEliminaAzione() {
    }
    public void esegui(java.util.EventObject evento){
        Progetto progetto = (Progetto)Applicazione.getModello().getBean("progetto");
        int indice = Applicazione.getVistaPrincipale().getIndiceSelezione("tabellaProgetto");

        Azione azione = progetto.azioneDaIndice(indice);
        Comando comando = azione.getComando();
        
        String messaggio = "Sei sicuro di voler eliminare l'azione " + azione.getNome() + " associata\nal comando " + comando.getNome() + " e tutti gli esiti collegati?";
        if(JOptionPane.showConfirmDialog(Applicazione.getVistaPrincipale(),messaggio,"Conferma eliminazione",JOptionPane.YES_NO_OPTION)==JOptionPane.YES_OPTION){
            progetto.removeAzione(azione.getNome());
        }
        
    }
}
