package it.unibas.visualpinco.controllo;

import it.unibas.ping.azioni.AzionePing;
import it.unibas.ping.framework.Applicazione;
import it.unibas.visualpinco.modello.Azione;
import it.unibas.visualpinco.modello.Comando;
import it.unibas.visualpinco.modello.Progetto;

public class AzioneModificaAzione implements AzionePing{
    
    public AzioneModificaAzione() {
    }
    
    public void esegui(java.util.EventObject evento){
        Progetto progetto = (Progetto)Applicazione.getModello().getBean("progetto");
        int indice = Applicazione.getVistaPrincipale().getIndiceSelezione("tabellaProgetto");

        Azione azione = progetto.azioneDaIndice(indice);
        Comando comando = azione.getComando();
        
        Applicazione.getModello().putBean("azioneModificare", azione);
        Applicazione.getModello().putBean("comandoModificare", comando);
        Applicazione.getModello().putBean("azioneNuova", new Boolean(false));
        Applicazione.getVistaPrincipale().eseguiSchermo("schermoNuovaAzione");
    }
}
