package it.unibas.visualpinco.controllo;

import it.unibas.ping.azioni.AzionePing;
import it.unibas.ping.framework.Applicazione;
import it.unibas.visualpinco.modello.*;

public class AzioneModificaEsito implements AzionePing{
    
    public AzioneModificaEsito() {
    }
    
    public void esegui(java.util.EventObject evento){
        Progetto progetto = (Progetto)Applicazione.getModello().getBean("progetto");
        int indice = Applicazione.getVistaPrincipale().getIndiceSelezione("tabellaProgetto");

        Azione azione = progetto.azioneDaIndice(indice);
        if(azione==null){
            return;
        }
        
        String sEsito = progetto.esitoDaIndice(indice);
        Esito esito = azione.getEsito(sEsito);
        if(esito==null){
            return;
        }
        
        Applicazione.getModello().putBean("azioneModificare", azione);
        Applicazione.getModello().putBean("esitoModificare", esito);
        Applicazione.getModello().putBean("schermoModificare", esito.getSchermo());
        Applicazione.getModello().putBean("esitoNuovo", new Boolean(false));
        Applicazione.getVistaPrincipale().eseguiSchermo("schermoNuovoEsito");
    }
}
