package it.unibas.visualpinco.controllo;

import it.unibas.ping.azioni.AzionePing;
import it.unibas.ping.framework.Applicazione;
import it.unibas.visualpinco.modello.Progetto;
import it.unibas.visualpinco.persistenza.DAOException;
import it.unibas.visualpinco.persistenza.DAOProgetto;
import java.io.File;
import javax.swing.JFileChooser;

public class AzioneSalvaConNome implements AzionePing{
    
    public AzioneSalvaConNome(){
    }
    public void esegui(java.util.EventObject evento){
        Progetto progetto = (Progetto)Applicazione.getModello().getBean("progetto");
        
       String messaggioErrore = progetto.controllaProgetto();

       if(!messaggioErrore.equals("")){
           Applicazione.getVistaPrincipale().finestraErrore(messaggioErrore);
       }else{
           JFileChooser fileChooser = new JFileChooser();
           if(fileChooser.showOpenDialog(Applicazione.getVistaPrincipale())==fileChooser.APPROVE_OPTION){
               File file = fileChooser.getSelectedFile();
               try{
                   DAOProgetto.salvaProgetto(progetto,file.getAbsolutePath());
               }catch(DAOException daoe){
                   messaggioErrore = "Impossibile salvare il file!\n" + daoe.toString();
                   Applicazione.getVistaPrincipale().finestraErrore(messaggioErrore);
               }
           }
       }
        
    }
}
