package it.unibas.visualpinco.controllo;

import it.unibas.ping.azioni.AzionePing;
import it.unibas.ping.framework.Applicazione;
import it.unibas.visualpinco.modello.Progetto;

public class CambiaSelezione implements AzionePing{
    
    public CambiaSelezione() {
    }
    public void esegui(java.util.EventObject evento){
        int indice = Applicazione.getVistaPrincipale().getIndiceSelezione("tabellaProgetto");
        Progetto progetto = (Progetto)Applicazione.getModello().getBean("progetto");
        if(indice==-1 || progetto.azioneDaIndice(indice)==null){
            Applicazione.getControllo().disabilitaAzioneSwing("modificaAzione");
            Applicazione.getControllo().disabilitaAzioneSwing("modificaEsito");
            Applicazione.getControllo().disabilitaAzioneSwing("eliminaAzione");
            Applicazione.getControllo().disabilitaAzioneSwing("eliminaEsito");
            Applicazione.getControllo().disabilitaAzioneSwing("nuovoEsito");
        }else{
            Applicazione.getControllo().abilitaAzioneSwing("modificaAzione");
            Applicazione.getControllo().abilitaAzioneSwing("eliminaAzione");
            Applicazione.getControllo().abilitaAzioneSwing("nuovoEsito");
            if(progetto.esitoDaIndice(indice).equals("")){
                Applicazione.getControllo().disabilitaAzioneSwing("modificaEsito");   
                Applicazione.getControllo().disabilitaAzioneSwing("eliminaEsito");
            }else{
                Applicazione.getControllo().abilitaAzioneSwing("modificaEsito");   
                Applicazione.getControllo().abilitaAzioneSwing("eliminaEsito");
            }
            
        }
    }
    
}
