package it.unibas.visualpinco.utilita;

import it.unibas.ping.framework.Applicazione;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Toolkit;

public class SwingManager {
    
    private SwingManager() {
    }
    
    public static void centra(Component c){
        Toolkit tk = Toolkit.getDefaultToolkit();
        try{
            Dimension dimension = tk.getScreenSize();
            int h = dimension.height;
            int w = dimension.width;
            int hp = c.getHeight();
            int wp = c.getWidth();
            int y = (h - hp)/2;
            int x = (w - wp)/2;
            c.setLocation(x,y);
        }catch(Exception e){
            Applicazione.logInfo("Impossibile centrare la finestra principale");
        }        
    }
}
